/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { DescribeImagesInput } from "../types/DescribeImagesInput";
import { DescribeImagesOutput } from "../types/DescribeImagesOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/DescribeImagesInput";
export * from "../types/DescribeImagesOutput";
export * from "../types/DescribeImagesExceptionsUnion";
export declare class DescribeImagesCommand implements __aws_sdk_types.Command<InputTypesUnion, DescribeImagesInput, OutputTypesUnion, DescribeImagesOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: DescribeImagesInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<DescribeImagesInput, DescribeImagesOutput, _stream.Readable>;
    constructor(input: DescribeImagesInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<DescribeImagesInput, DescribeImagesOutput>;
}
