/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { InitiateLayerUploadInput } from "../types/InitiateLayerUploadInput";
import { InitiateLayerUploadOutput } from "../types/InitiateLayerUploadOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/InitiateLayerUploadInput";
export * from "../types/InitiateLayerUploadOutput";
export * from "../types/InitiateLayerUploadExceptionsUnion";
export declare class InitiateLayerUploadCommand implements __aws_sdk_types.Command<InputTypesUnion, InitiateLayerUploadInput, OutputTypesUnion, InitiateLayerUploadOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: InitiateLayerUploadInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<InitiateLayerUploadInput, InitiateLayerUploadOutput, _stream.Readable>;
    constructor(input: InitiateLayerUploadInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<InitiateLayerUploadInput, InitiateLayerUploadOutput>;
}
