/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { PutImageInput } from "../types/PutImageInput";
import { PutImageOutput } from "../types/PutImageOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/PutImageInput";
export * from "../types/PutImageOutput";
export * from "../types/PutImageExceptionsUnion";
export declare class PutImageCommand implements __aws_sdk_types.Command<InputTypesUnion, PutImageInput, OutputTypesUnion, PutImageOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: PutImageInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<PutImageInput, PutImageOutput, _stream.Readable>;
    constructor(input: PutImageInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<PutImageInput, PutImageOutput>;
}
