"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const GetLifecyclePolicyInput_1 = require("../shapes/GetLifecyclePolicyInput");
const GetLifecyclePolicyOutput_1 = require("../shapes/GetLifecyclePolicyOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const LifecyclePolicyNotFoundException_1 = require("../shapes/LifecyclePolicyNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.GetLifecyclePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "GetLifecyclePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: GetLifecyclePolicyInput_1.GetLifecyclePolicyInput
    },
    output: {
        shape: GetLifecyclePolicyOutput_1.GetLifecyclePolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: LifecyclePolicyNotFoundException_1.LifecyclePolicyNotFoundException
        }
    ]
};
//# sourceMappingURL=GetLifecyclePolicy.js.map