"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const StartLifecyclePolicyPreviewInput_1 = require("../shapes/StartLifecyclePolicyPreviewInput");
const StartLifecyclePolicyPreviewOutput_1 = require("../shapes/StartLifecyclePolicyPreviewOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const LifecyclePolicyNotFoundException_1 = require("../shapes/LifecyclePolicyNotFoundException");
const LifecyclePolicyPreviewInProgressException_1 = require("../shapes/LifecyclePolicyPreviewInProgressException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.StartLifecyclePolicyPreview = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "StartLifecyclePolicyPreview",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: StartLifecyclePolicyPreviewInput_1.StartLifecyclePolicyPreviewInput
    },
    output: {
        shape: StartLifecyclePolicyPreviewOutput_1.StartLifecyclePolicyPreviewOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        },
        {
            shape: LifecyclePolicyNotFoundException_1.LifecyclePolicyNotFoundException
        },
        {
            shape: LifecyclePolicyPreviewInProgressException_1.LifecyclePolicyPreviewInProgressException
        }
    ]
};
//# sourceMappingURL=StartLifecyclePolicyPreview.js.map