"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ImageTagList_1 = require("./_ImageTagList");
exports._ImageDetail = {
    type: "structure",
    required: [],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        imageDigest: {
            shape: {
                type: "string"
            }
        },
        imageTags: {
            shape: _ImageTagList_1._ImageTagList
        },
        imageSizeInBytes: {
            shape: {
                type: "integer"
            }
        },
        imagePushedAt: {
            shape: {
                type: "timestamp"
            }
        }
    }
};
//# sourceMappingURL=_ImageDetail.js.map