import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * DeleteLifecyclePolicyOutput shape
 */
export interface DeleteLifecyclePolicyOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The registry ID associated with the request.</p>
     */
    registryId?: string;
    /**
     * <p>The repository name associated with the request.</p>
     */
    repositoryName?: string;
    /**
     * <p>The JSON lifecycle policy text.</p>
     */
    lifecyclePolicyText?: string;
    /**
     * <p>The time stamp of the last time that the lifecycle policy was run.</p>
     */
    lastEvaluatedAt?: Date;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
