/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { GetAuthorizationTokenInput } from "../types/GetAuthorizationTokenInput";
import { GetAuthorizationTokenOutput } from "../types/GetAuthorizationTokenOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/GetAuthorizationTokenInput";
export * from "../types/GetAuthorizationTokenOutput";
export * from "../types/GetAuthorizationTokenExceptionsUnion";
export declare class GetAuthorizationTokenCommand implements __aws_sdk_types.Command<InputTypesUnion, GetAuthorizationTokenInput, OutputTypesUnion, GetAuthorizationTokenOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: GetAuthorizationTokenInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<GetAuthorizationTokenInput, GetAuthorizationTokenOutput, _stream.Readable>;
    constructor(input: GetAuthorizationTokenInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<GetAuthorizationTokenInput, GetAuthorizationTokenOutput>;
}
