/// <reference types="node" />
import * as __aws_sdk_middleware_stack from "@aws-sdk/middleware-stack";
import * as __aws_sdk_types from "@aws-sdk/types";
import * as _stream from "stream";
import { InputTypesUnion } from "../types/InputTypesUnion";
import { OutputTypesUnion } from "../types/OutputTypesUnion";
import { SetRepositoryPolicyInput } from "../types/SetRepositoryPolicyInput";
import { SetRepositoryPolicyOutput } from "../types/SetRepositoryPolicyOutput";
import { ECRResolvedConfiguration } from "../ECRConfiguration";
export * from "../types/SetRepositoryPolicyInput";
export * from "../types/SetRepositoryPolicyOutput";
export * from "../types/SetRepositoryPolicyExceptionsUnion";
export declare class SetRepositoryPolicyCommand implements __aws_sdk_types.Command<InputTypesUnion, SetRepositoryPolicyInput, OutputTypesUnion, SetRepositoryPolicyOutput, ECRResolvedConfiguration, _stream.Readable> {
    readonly input: SetRepositoryPolicyInput;
    readonly model: __aws_sdk_types.OperationModel;
    readonly middlewareStack: __aws_sdk_middleware_stack.MiddlewareStack<SetRepositoryPolicyInput, SetRepositoryPolicyOutput, _stream.Readable>;
    constructor(input: SetRepositoryPolicyInput);
    resolveMiddleware(clientStack: __aws_sdk_middleware_stack.MiddlewareStack<InputTypesUnion, OutputTypesUnion, _stream.Readable>, configuration: ECRResolvedConfiguration): __aws_sdk_types.Handler<SetRepositoryPolicyInput, SetRepositoryPolicyOutput>;
}
