"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const PutLifecyclePolicyInput_1 = require("../shapes/PutLifecyclePolicyInput");
const PutLifecyclePolicyOutput_1 = require("../shapes/PutLifecyclePolicyOutput");
const ServerException_1 = require("../shapes/ServerException");
const InvalidParameterException_1 = require("../shapes/InvalidParameterException");
const RepositoryNotFoundException_1 = require("../shapes/RepositoryNotFoundException");
const ServiceMetadata_1 = require("../ServiceMetadata");
exports.PutLifecyclePolicy = {
    metadata: ServiceMetadata_1.ServiceMetadata,
    name: "PutLifecyclePolicy",
    http: {
        method: "POST",
        requestUri: "/"
    },
    input: {
        shape: PutLifecyclePolicyInput_1.PutLifecyclePolicyInput
    },
    output: {
        shape: PutLifecyclePolicyOutput_1.PutLifecyclePolicyOutput
    },
    errors: [
        {
            shape: ServerException_1.ServerException
        },
        {
            shape: InvalidParameterException_1.InvalidParameterException
        },
        {
            shape: RepositoryNotFoundException_1.RepositoryNotFoundException
        }
    ]
};
//# sourceMappingURL=PutLifecyclePolicy.js.map