"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _BatchedOperationLayerDigestList_1 = require("./_BatchedOperationLayerDigestList");
exports.BatchCheckLayerAvailabilityInput = {
    type: "structure",
    required: ["repositoryName", "layerDigests"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        layerDigests: {
            shape: _BatchedOperationLayerDigestList_1._BatchedOperationLayerDigestList
        }
    }
};
//# sourceMappingURL=BatchCheckLayerAvailabilityInput.js.map