"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.PutLifecyclePolicyInput = {
    type: "structure",
    required: ["repositoryName", "lifecyclePolicyText"],
    members: {
        registryId: {
            shape: {
                type: "string"
            }
        },
        repositoryName: {
            shape: {
                type: "string",
                min: 2
            }
        },
        lifecyclePolicyText: {
            shape: {
                type: "string",
                min: 100
            }
        }
    }
};
//# sourceMappingURL=PutLifecyclePolicyInput.js.map