"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const _ImageTagList_1 = require("./_ImageTagList");
const _LifecyclePolicyRuleAction_1 = require("./_LifecyclePolicyRuleAction");
exports._LifecyclePolicyPreviewResult = {
    type: "structure",
    required: [],
    members: {
        imageTags: {
            shape: _ImageTagList_1._ImageTagList
        },
        imageDigest: {
            shape: {
                type: "string"
            }
        },
        imagePushedAt: {
            shape: {
                type: "timestamp"
            }
        },
        action: {
            shape: _LifecyclePolicyRuleAction_1._LifecyclePolicyRuleAction
        },
        appliedRulePriority: {
            shape: {
                type: "integer",
                min: 1
            }
        }
    }
};
//# sourceMappingURL=_LifecyclePolicyPreviewResult.js.map