import * as __aws_sdk_types from "@aws-sdk/types";
/**
 * UploadLayerPartOutput shape
 */
export interface UploadLayerPartOutput extends __aws_sdk_types.MetadataBearer {
    /**
     * <p>The registry ID associated with the request.</p>
     */
    registryId?: string;
    /**
     * <p>The repository name associated with the request.</p>
     */
    repositoryName?: string;
    /**
     * <p>The upload ID associated with the request.</p>
     */
    uploadId?: string;
    /**
     * <p>The integer value of the last byte received in the request.</p>
     */
    lastByteReceived?: number;
    /**
     * Metadata about the response received, including the HTTP status code, HTTP headers, and any request identifiers recognized by the SDK.
     */
    $metadata: __aws_sdk_types.ResponseMetadata;
}
